Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## peak.can.basic
Enum TPCANType

    java.lang.Object
      java.lang.Enum<TPCANType>
          peak.can.basic.TPCANType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TPCANType>

    public enum TPCANType

extends java.lang.Enum<TPCANType>

Represents a PCAN device

Enum Constant Summary
`PCAN_TYPE_DNG` PCAN-Dongle 82C200
`PCAN_TYPE_DNG_EPP` PCAN-Dongle EPP 82C200
`PCAN_TYPE_DNG_SJA` PCAN-Dongle SJA1000
`PCAN_TYPE_DNG_SJA_EPP` PCAN-Dongle EPP SJA1000
`PCAN_TYPE_ISA` PCAN-ISA 82C200
`PCAN_TYPE_ISA_PHYTEC` PHYTEC ISA
`PCAN_TYPE_ISA_SJA` PCAN-ISA SJA1000
`PCAN_TYPE_NONE` Undefined, unknown or not selected PCAN type value

Method Summary
`byte` | `getValue()`
`static TPCANType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TPCANType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PCAN_TYPE_NONE

    public static final TPCANType PCAN_TYPE_NONE

  Undefined, unknown or not selected PCAN type value

### PCAN_TYPE_ISA

    public static final TPCANType PCAN_TYPE_ISA

  PCAN-ISA 82C200

### PCAN_TYPE_ISA_SJA

    public static final TPCANType PCAN_TYPE_ISA_SJA

  PCAN-ISA SJA1000

### PCAN_TYPE_ISA_PHYTEC

    public static final TPCANType PCAN_TYPE_ISA_PHYTEC

  PHYTEC ISA

### PCAN_TYPE_DNG

    public static final TPCANType PCAN_TYPE_DNG

  PCAN-Dongle 82C200

### PCAN_TYPE_DNG_EPP

    public static final TPCANType PCAN_TYPE_DNG_EPP

  PCAN-Dongle EPP 82C200

### PCAN_TYPE_DNG_SJA

    public static final TPCANType PCAN_TYPE_DNG_SJA

  PCAN-Dongle SJA1000

### PCAN_TYPE_DNG_SJA_EPP

    public static final TPCANType PCAN_TYPE_DNG_SJA_EPP

  PCAN-Dongle EPP SJA1000

Method Detail

### values

    public static TPCANType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TPCANType c : TPCANType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TPCANType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public byte getValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD